Skip to main content
DELETE
/
schedules
/
{scheduleId}
Delete Schedule
curl --request DELETE \
  --url https://api.lemlist.com/api/schedules/{scheduleId} \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.lemlist.com/api/schedules/{scheduleId}"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.lemlist.com/api/schedules/{scheduleId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://api.lemlist.com/api/schedules/{scheduleId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Basic <encoded-value>'

response = http.request(request)
puts response.read_body
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.lemlist.com/api/schedules/{scheduleId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "DELETE",
  CURLOPT_HTTPHEADER => [
    "Authorization: Basic <encoded-value>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
{
  "_id": "skd_Z6mAiyX6c73uqQtCV"
}
"Bad team"
"Schedule not found"
This endpoint uses the Schedule object.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

scheduleId
string
required

The unique identifier of the schedule

Response

Success

_id
string